Bug 178610 - Incorrect dictionary used when adding words
Incorrect dictionary used when adding words
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 08:12 EST by Paul F. Johnson
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-23 04:05:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul F. Johnson 2006-01-22 08:12:58 EST
Description of problem:
I have English and German in the same document
(usually German - English translation). To use the German dictionary for
the German, I select the text, right mouse, select character and change
the language for the highlighted text to German (Germany).

When I press F7, the German dictionary is used (which is correct),
however, if I need to add a word, only the English dictionary is
available.

Version-Release number of selected component (if applicable):
2.0.1.1-7.2

How reproducible:
Always

Steps to Reproduce:
1. Install a language pack. Type in some words in the new language
2. Highlight the text, change the language of the text to the new language
3. Press F7 to check the spelling. Click Add to add a new word
  
Actual results:
Only the default language for the file is available

Expected results:
The language of the text being spell checked should be used when adding new words

Additional info:
Comment 1 Caolan McNamara 2006-01-23 04:05:59 EST
You got to set this up beforehand, the default user dictionary is "all
languages". So you need to use tools->options->openoffice.org->language
settings->writing aids and "new dictionary". give it a name and select german
for it's language instead of "all". Now with F7, you can add the word to this
german-only dictionary. So the word will be not-misspelled when it's lang is set
to german, but mispelled otherwise.

Note You need to log in before you can comment on or make changes to this bug.